Bug 1064486 - Review Request: mozo - MATE Desktop menu editor
Summary: Review Request: mozo - MATE Desktop menu editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1086149
TreeView+ depends on / blocked
 
Reported: 2014-02-12 17:07 UTC by Wolfgang Ulbrich
Modified: 2014-09-28 19:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-28 19:58:11 UTC
leigh123linux: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2014-02-12 17:07:47 UTC
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/mozo.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/mozo-1.7.0-1.fc21.src.rpm
Description: MATE Desktop menu editor
Fedora Account System Username: raveit65

Comment 1 Wolfgang Ulbrich 2014-02-12 17:12:25 UTC
This is a re-review request for a package rename.
Old packackage name is mate-menu-editor.
Note, this affect only rawhide, f19/20 will use mate-image-viewer-1.6.x until there EOL's.

Comment 2 leigh scott 2014-02-12 18:56:14 UTC
25? shouldn't it be 21?

%if 0%{?fedora} && 0%{?fedora} <= 25

drop the gz and replace with *

%{_mandir}/man1/mozo.1.gz

Comment 4 leigh scott 2014-02-12 21:18:51 UTC
Approved

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)". Detailed output of licensecheck in
     /home/leigh/Desktop/1064486-mozo/licensecheck.txt
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/256x256/apps, /usr/share/icons/hicolor/24x24,
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/icons/hicolor/24x24/apps,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/256x256, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/32x32
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/Mozo(mate-menu-editor), /usr/share/mozo(mate-menu-editor)
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in mozo
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mozo-1.7.0-2.fc21.noarch.rpm
          mozo-1.7.0-2.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mozo
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
mozo (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2.7
    mate-menus
    python(abi)



Provides
--------
mozo:
    application()
    application(mozo.desktop)
    mate-menu-editor
    mozo



Source checksums
----------------
http://pub.mate-desktop.org/releases/1.7/mozo-1.7.0.tar.xz :
  CHECKSUM(SHA256) this package     : 0cf38a53f81c6b68210719cda9fa0ebe77691f3267be404e7a09ef8a8873fa14
  CHECKSUM(SHA256) upstream package : 0cf38a53f81c6b68210719cda9fa0ebe77691f3267be404e7a09ef8a8873fa14

Comment 5 Wolfgang Ulbrich 2014-02-12 21:35:06 UTC
New Package SCM Request
=======================
Package Name: mozo
Short Description: MATE Desktop menu editor
Owners: raveit65 vicodan
Branches: 
InitialCC: 

Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 6 Gwyn Ciesla 2014-02-13 12:57:54 UTC
Git done (by process-git-requests).

Comment 7 Wolfgang Ulbrich 2014-07-26 14:27:01 UTC
Package Change Request
======================
Package Name: mozo
New Branches: f20
Owners: raveit65 vicodan
InitialCC:

Comment 8 Kevin Fenzi 2014-07-26 21:36:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.